# Accessibility Designer

## Purpose

The purpose of this assignment is to gain insight about your thought process and your approach to solving accessibility challenges in a real-world situation.

## Timeline

Out of respect for your time and to better understand how you think, we ask that you take no more than two hours to complete this assignment.

## Your task

Audit the [CDC COVID-19 page](https://www.cdc.gov/coronavirus/2019-ncov/) and provide 3 prioritized issues to fix with recommendations. We chose the CDC COVID-19 page for this assignment because:

- It’s not our work. None of your responses will be used for private gain.
- It’s temporary. We’re working on transitioning to a private, intentionally inaccessible by design homework assignment.

### Instructions

1. Conduct a short audit of the [CDC COVID-19 page](https://www.cdc.gov/coronavirus/2019-ncov/) including the COVID-19 county check tool.

    -  Focus less on cosmetic issues and more on major defects that can either block access or cause significant usability problems for disabled people.
    -  Defects may cover, but are not limited to the 4 accessibility principles:

        - Perceivable: Users can identify content and interface elements by means of the senses
        - Operable: Users can successfully use controls, buttons, navigation, and other necessary interactive elements
        - Understandable: Users should be able to comprehend the content, and learn and remember how to use the interface
        - Robust: Users should be able to choose the technology they use to interact with websites, online documents, multimedia, and other information formats
2. Provide a prioritized list of your top 3 accessibility defects (in no particular order). 
    - Good feedback should include:
        - A description of the defect
        - Why it matters
        - A recommended fix
        - Anything else you think is important.
    - At Ad Hoc, we believe in an accessibility beyond compliance approach. Recommendations (when appropriate) that go beyond remediating existing code is preferred.
    - Use the tools and processes you’re most comfortable with. We’re less concerned about nitpicky details like spelling and grammar, and more concerned with what you found and what guided your decision-making.
3. If you need more clarification about the assignment or want to provide us feedback, you are more than welcome to contact us about it at [accessibility@adhocteam.us](mailto:accessibility@adhocteam.us).

### Submission
Submit your homework using a markdown (.md) or text (.txt) file. Currently, we’re unable to accept alternative file types by default as we’re still figuring out how to consistently anonymize submissions. If you prefer to use a different file type, please email us at [accessibility@adhocteam.us](mailto:accessibility@adhocteam).