# Security Impact Analysis (SIA) CM-4

## What is it? 
A change management process to evaluate the impact of a new release or other system change to the overall risk of a FISMA system.

## When does an SIA need to be performed?
Mandatory before any new system release is approved for production deployment.

## Process
1. New system release or change proposed.
1. Learn about the change including what effects the change will have on the system.
1. Analyze the change for impact on security and functionality.
1. Employ best practices, run application/code and infrastructure scans, etc. to detect and mitigate common vulnerabilities in proposed architecture.
1. Evaluate the risk rating of any discovered vulnerabilities (impacts & likelihood) using RMH Chapter 14: Risk Assessment.
1. Assess impact of proposed change on existing security controls.
1. Is the change significant enough that the ATO is in question? If so, meet with System Owner to discuss potential need for targeted security testing, an ACT, a new ATO, or TRB attendance.
1. Document findings, attach them to the change request. Make applicable updates to artifacts such as ISRA or SSP.
1. Promote changethrough environments while performing applicable verification, validation, and security testing.
1. Deploy release to production.