# Data Analysis Case Study

## Purpose
The purpose of this exercise is to get a greater understanding of how you approach data analysis and use it to inform product or organizational challenges.

## Task

Please prepare a case study to present for 10-15 minutes on a data project that includes modeling or other complex analysis.  We don’t expect you to collect data or perform an analysis from scratch, but rather we would like you to present something that you’ve already done in the past. This can be from work, school, or a side project. 

In your submission, please include:
- How did you identify problems/metrics to be evaluated?
- What was your method for collecting and analyzing data? At a high level, can you walk us through how you found and organized the data for use?
- Walk us through your code (or part of it) from this project. Were there specific challenges you ran into or places where you changed your approach? 
- What learning or insights did you glean from analysis? How were these insights used to inform product or business decisions?
- How did you communicate methods and findings to non-technical stakeholders? 
- Share a dashboard or other visualization, and include factors that influenced its design.


### Submission

- Please do not identify yourself in your document.
- Save as slides or pdf and upload
- Please don’t spend more than two hours on this.
- Please be prepared to present your case study during the interview.
