# Information Architect

## Purpose

The purpose of this assignment is to gain insight about your thought process and your approach to planning and conducting research for IA.

## Timeline

Out of respect for your time and to better understand how you think, we ask that you take no more than two hours to complete this assignment. Please submit at least one day before your second interview.

## Your task

The [Maryland Motor Vehicle Administration](http://www.mva.maryland.gov/) wants to reduce calls to their call center by making it easier for people to find what they are looking for on their website. Your homework is to evaluate their current information architecture and develop a brief project plan for how you would go about improving it. This plan should describe how you would gather data to enable you to make recommendations for how their site should be organized, and what deliverables/outputs you would expect to deliver. During the second interview, you will provide feedback to “stakeholders” (played by current research team members) on their current site and explain how and why your proposed plan will improve outcomes for their users.

_Note: We’ve selected this prompt because it is similar to the type of work we do – however, we don’t currently work with this agency, and are not asking you to do free work for us or our customers._

### Instructions

#### 1-2 page document that includes:

* How you intend to scope the project
* What research you propose to do
* Who you propose to do it with
* How you propose to analyze the research
* The deliverables you expect to produce
* What these deliverables will enable
* Any additional follow on work you feel may be needed but is beyond the scope of the project

#### Guidance

* Focus on the content – you will be discussing, not showing a polished or final presentation
* You can assume that the plan is being read by stakeholders you’ve worked with before, and who have some familiarity with UX research and Information Architecture
