# Senior Researcher

## Purpose

The purpose of this assignment is to gain insight about your thought process around different kinds of research projects.

## Timeline

Out of respect for your time, we ask that you take no more than two hours to complete this assignment. Please submit this homework at least one day before your second interview.

## Your Task

You work with the [Washington State Department of Children, Youth & Families on Early Childhood education initiatives](https://www.dcyf.wa.gov/). The product owner (your client) at DCYFWA  has three urgent research projects they want you to work on in the next few months,  however, your team doesn’t have the capacity to work on all three projects at once so you will need to work with the product owner to prioritize these projects. Your homework is to roughly outline the scope and method you’d use to plan a discovery sprint for each project. During the interview we will ask you to walk us through your thought process– you will be discussing, not showing a polished or final presentation. You should also be prepared to facilitate stakeholders through a mini (15-20) minute conversation to help them prioritize the three projects during the second interview.   

_Note: We’ve selected this prompt because it is similar to the type of work we do – however, we don’t currently work with this agency, and are not asking you to do free work for us or our customers._

### Part 1: Rough Project Proposals

For each of these individual projects, please create a bullet point/high-level plan of your suggested method and scope to bring to the product owner prioritization activity. This plan should only be 1-3 bullet points/sentences, enough to describe the general methodology and scoping.  For example, if the project is testing a recently launched application that lets people report graffiti to the city, you might bring something like:  “Method & Scope: Usability test with 4-6 participants who live in the city.”

- *Project 1*: Create a new way for parents/guardians to apply for preschool online
- *Project 2*: Improve the website search so parents/guardians can find childcare options by neighborhood
- *Project 3*: Redesign the website to be more “modern”


### Part 2: Prioritization Exercise

Please plan to facilitate a conversation that will help stakeholders prioritize the three projects. You can use an activity, exercise, or a set of guiding questions that will help a product owner identify their top priority project. We want to see how you approach interacting with stakeholders and prioritizing multiple projects. During the interview we’ll run through what you prepared in a mock prioritization meeting with a pretend product owner

### Assumptions

- The product owner is familiar with UX and thinks it’s an important part of the product development cycle
- There’s no way to work on all three projects at the same time given team resources
- We will let you know during the interview if there are any other constraints that you need to be aware of

### Questions?

If you have any questions, email [research-leads@adhocteam.us](mailto:research-leads@adhocteam.us).
